Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!


Click here to return to the '10.6: Install Canon printer drivers in Snow Leopard' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
10.6: Install Canon printer drivers in Snow Leopard
Authored by: canoeberry on Aug 30, '09 04:57:42AM

Printing works just fine once you follow the instructions detailed in this hint. BUT, the driver doesn't work properly in all apps. My theory is that 64-bit apps (most of the built-in ones, for example) do NOT work properly but any lingering 32-bit apps (Firefox, for example) will work properly.

So here's what is NOT working with my MP600R printer: Quality & Media, and other printer dialog settings. I get an error when running Mail and Safari (so far) which says, 'The Bundle "QualityMedia583a" couldn't be loaded because it doesn't contain a version for the current architecture.' I assume 'current architecture' means 64-bit app.

So we are going to have to rely on Canon to produce bundles for the 64-bit apps that is my assumption. I hope they don't let us down.



[ Reply to This | # ]
10.6: Install Canon printer drivers in Snow Leopard
Authored by: mandrake on Aug 30, '09 07:00:37AM

Great hint. This was the only disappointment for me after installing Snow Leopard. I have an MX850 connected to my Airport Extreme Base Station and could no longer see it. The drivers from the apple site didn't help either. With printer sharing enabled on my wife's 10.5 machine I could connect, but hardly ideal. This hint worked perfectly, my Canon showed up via Print & Fax > IP > More Printers > Canon IJ Network. Works great in all apps so far, including Safari.



[ Reply to This | # ]
10.6: Install Canon printer drivers in Snow Leopard
Authored by: engine00 on Aug 30, '09 06:53:02PM
I am having this exact same problem as canoe ("couldn't be loaded because it doesn't contain a version for the current architecture") with my Canon MP980 while trying to print a basic PDF in Preview. According to the Canon website under the Support & Service tab:

Issue: Will my product be supported in Mac OS X 10.6 (Snow Leopard)? Solution: Mac OS X v10.6 Compatibility and Support Schedule (PIXMA MP All-in-one Ink Jet Printers)

Mac OS X v.10.6 As of July 2009, the All-In-One Inkjet Printers with Mac OS X v10.6 support are shown below.

Note: Products not listed below will not be supported in Mac OS X v10.6.

All-In-One Inkjet Printers to support Mac OS X v10.6

MP Series:

MP130, MP140, MP150, MP160, MP170, MP180, MP190, MP210, MP240, MP250, MP450, MP460, MP470, MP480, MP490, MP500, MP510, MP520, MP530, MP560, MP600, MP610, MP620, MP750, MP760, MP780, MP800, MP800R, MP810, MP830, MP950, MP960, MP970, MP980

Release Schedule for Mac OS X v10.6 supporting Software -

The software / drivers to support Mac OS X v10.6 will be uploaded to our download Web site 2 or 3 weeks after the Mac OS X v10.6 release.

Hopefully this new supported driver comes out soon.... Seems like at least one of the 64bit driver support issues Microsoft was having with Vista is hitting Mac also.

[ Reply to This | # ]